- @no_container = true
= render "admin/dashboard/head"

%div{ class: container_class }
  - if @license
    = render "admin/licenses/breakdown", license: @license

  .admin-dashboard.prepend-top-default
    .row
      .col-md-4
        %h4 Statistics
        %hr
        %p
          Forks
          %span.light.pull-right
            = number_with_delimiter(ForkedProjectLink.count)
        %p
          Issues
          %span.light.pull-right
            = number_with_delimiter(Issue.count)
        %p
          Merge Requests
          %span.light.pull-right
            = number_with_delimiter(MergeRequest.count)
        %p
          Notes
          %span.light.pull-right
            = number_with_delimiter(Note.count)
        %p
          Snippets
          %span.light.pull-right
            = number_with_delimiter(Snippet.count)
        %p
          SSH Keys
          %span.light.pull-right
            = number_with_delimiter(Key.count)
        %p
          Milestones
          %span.light.pull-right
            = number_with_delimiter(Milestone.count)
        %p
          Active Users
          %span.light.pull-right
            = number_with_delimiter(User.active.count)
      .col-md-4
        %h4
          Features
        %hr
        %p
          Sign up
          %span.light.pull-right
            = boolean_to_icon signup_enabled?
        %p
          LDAP
          %span.light.pull-right
            = boolean_to_icon Gitlab.config.ldap.enabled
        %p
          Gravatar
          %span.light.pull-right
            = boolean_to_icon gravatar_enabled?
        %p
          OmniAuth
          %span.light.pull-right
            = boolean_to_icon Gitlab.config.omniauth.enabled
        %p
          Reply by email
          %span.light.pull-right
            = boolean_to_icon Gitlab::IncomingEmail.enabled?
        %p
          Elasticsearch
          %span.light.pull-right
            = boolean_to_icon current_application_settings.elasticsearch_search?
        %p
          Geo
          %span.light.pull-right
            = boolean_to_icon Gitlab::Geo.enabled?
      .col-md-4
        %h4
          Components
          - if current_application_settings.version_check_enabled
            .pull-right
              = version_status_badge

        %hr
        %p
          GitLab
          %span.pull-right
            = Gitlab::VERSION
        %p
          GitLab Shell
          %span.pull-right
            = Gitlab::Shell.new.version
        %p
          GitLab Workhorse
          %span.pull-right
            = Gitlab::Workhorse.version
        %p
          GitLab API
          %span.pull-right
            = API::API::version
        - if Gitlab::Geo.enabled?
          %p
            Geo
            %span.pull-right
              - if Gitlab::Geo.current_node
                = Gitlab::Geo.current_node.primary ? 'Primary node' : 'Secondary node'
              - else
                Undefined
        %p
          Git
          %span.pull-right
            = Gitlab::Git.version
        %p
          Ruby
          %span.pull-right
            #{RUBY_VERSION}p#{RUBY_PATCHLEVEL}

        %p
          Rails
          %span.pull-right
            #{Rails::VERSION::STRING}

        %p
          = Gitlab::Database.adapter_name
          %span.pull-right
            = Gitlab::Database.version
    %hr
    .row
      .col-sm-4
        .light-well
          %h4 Projects
          .data
            = link_to admin_namespaces_projects_path do
              %h1= number_with_delimiter(Project.count)
            %hr
            = link_to('New Project', new_project_path, class: "btn btn-new")
      .col-sm-4
        .light-well
          %h4 Users
          .data
            = link_to admin_users_path do
              %h1= number_with_delimiter(User.count)
            %hr
            = link_to 'New User', new_admin_user_path, class: "btn btn-new"
      .col-sm-4
        .light-well
          %h4 Groups
          .data
            = link_to admin_groups_path do
              %h1= number_with_delimiter(Group.count)
            %hr
            = link_to 'New Group', new_admin_group_path, class: "btn btn-new"

    .row.prepend-top-10
      .col-md-4
        %h4 Latest projects
        %hr
        - @projects.each do |project|
          %p
            = link_to project.name_with_namespace, [:admin, project.namespace.becomes(Namespace), project], class: 'str-truncated'
            %span.light.pull-right
              #{time_ago_with_tooltip(project.created_at)}

      .col-md-4
        %h4 Latest users
        %hr
        - @users.each do |user|
          %p
            = link_to [:admin, user], class: 'str-truncated' do
              = user.name
            %span.light.pull-right
              #{time_ago_with_tooltip(user.created_at)}

      .col-md-4
        %h4 Latest groups
        %hr
        - @groups.each do |group|
          %p
            = link_to [:admin, group], class: 'str-truncated' do
              = group.name
            %span.light.pull-right
              #{time_ago_with_tooltip(group.created_at)}
